# bcs\_housing

1. Find the **garage.lua** file in your bcs\_housing
2. Paste the following code into the **garage.lua** file

```lua
function GaragePrompt(data, identifier)
    CreateThread(function()
        local home = Homes[identifier]
        if home.properties.complex ~= 'Apartment' then
            debugPrint("[GaragePrompt]", "Garage of owned house " .. home.properties.owner)
        end
        if home.keys:HasKey(GetIdentifier(), 'Garage') then
            if IsPedInAnyVehicle(PlayerPedId(), false) then
                HelpText(true, Locale["prompt_store_vehicle"])
            else
                HelpText(true, Locale["prompt_open_garage"])
            end
            while inZone do
                Wait(2)
                if IsControlJustReleased(0, 38) then
                    HelpText(false)
		    if IsResourceStarted('vms_garagesv2') then
			exports['vms_garagesv2']:enterHouseGarage()
                    end
                    break
                end
            end
            while IsNuiFocused() do Wait(100) end
            Wait(1000)
            if inZone then
                local updatedData = GetHomeObject(identifier)
                GaragePrompt(updatedData, identifier)
            end
        end
    end)
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_garagesv2/compatibility/housings/bcs_housing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
